/api/v1/team/roles/{roleId}/copy
POST
/api/v1/team/roles/{roleId}/copy
const url = 'https://example.com/api/v1/team/roles/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/copy';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"newName":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/team/roles/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/copy \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "newName": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”roleId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”object
newName
required
string
Example generated
{ "newName": "example"}object
newName
required
string
Example generated
{ "newName": "example"}object
newName
required
string
Example generated
{ "newName": "example"}Responses
Section titled “Responses”OK